Imports System.Windows.Media.Animation

Public Class VentanaErr
    Friend propietario As ContenedorCabLin

    Public Sub MostrarVentana()
        RellenaDatos()
        Dim st As Storyboard = DirectCast(FindResource("Mostrar"), Storyboard)
        st.Begin(Me)
    End Sub

    Public Sub OcultarVentana()
        Dim st As Storyboard = DirectCast(FindResource("Ocultar"), Storyboard)
        st.Begin(Me)
    End Sub

    Sub MostrarYOcultarVentana()
        RellenaDatos()
        Dim st As Storyboard = DirectCast(FindResource("MostrarYOcultar"), Storyboard)
        st.Begin(Me)
    End Sub

    Private Sub RellenaDatos()
        Dim ecvs As New CollectionViewSource
        Dim le = (From er In propietario.Aplicacion.ErroresValidacion.Errores Select er.ErrorContent).ToList
        Me.DataContext = le
        Dim w = Window.GetWindow(propietario)
        Me.Left = w.ActualWidth - Me.ActualWidth + w.Left - 30
        Me.Top = w.ActualHeight - Me.ActualHeight + w.Top - 70
    End Sub


   
End Class
